Bug 252180 - devel/py-cookiecutter: adjust dependencies
Summary: devel/py-cookiecutter: adjust dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Matthew Seaman
URL:
Keywords:
Depends on: 250941
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-27 02:08 UTC by Charlie Li
Modified: 2021-05-22 20:53 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (matthew)


Attachments
v1 (1.92 KB, patch)
2020-12-27 02:08 UTC, Charlie Li
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Li freebsd_committer 2020-12-27 02:08:58 UTC
Created attachment 220973 [details]
v1

When I tried to even print the help message, cookiecutter complains of missing and outdated dependencies. Match what is in setup.py.

This includes a line for www/py-requests>=2.23.0, which is being addressed in another PR.
Comment 1 Matthew Seaman freebsd_committer 2020-12-27 15:54:33 UTC
Thank you very much for the report.  I guess we're waiting on 250941 for now, although I wonder if the absolute latest version of py-requests really is required? Python module versions in dependencies tend to be "what the developers tested with" which usually equates to "what was current when they ran the tests" and frequently don't include all of the dependency versions that could work just fine.
Comment 2 commit-hook freebsd_committer 2020-12-28 10:14:48 UTC
A commit references this bug:

Author: matthew
Date: Mon Dec 28 10:14:38 UTC 2020
New revision: 559453
URL: https://svnweb.freebsd.org/changeset/ports/559453

Log:
  Fix `make test` to achieve 100% pass rate by converting entirely
  unnecessary references to '/bin/bash' to use '/bin/sh' instead.

  Update dependency versions to match 'setup.cfg' _except_ for
  py-requests, where the ports currently has only 2.22.0 available, but
  upstream is requiring at least 2.23.0. (Waiting on PR 250941) [1]

  PR:             252180
  Submitted by:   Charlie	Li

Changes:
  head/devel/py-cookiecutter/Makefile
  head/devel/py-cookiecutter/files/
  head/devel/py-cookiecutter/files/patch-tests_test-generate-files-permissions_input{{cookiecutter.permissions}}_script.sh
  head/devel/py-cookiecutter/files/patch-tests_test-pyshellhooks_hooks_post__gen__project.sh
  head/devel/py-cookiecutter/files/patch-tests_test-pyshellhooks_hooks_pre__gen__project.sh
  head/devel/py-cookiecutter/files/patch-tests_test-shellhooks_hooks_post__gen__project.sh
  head/devel/py-cookiecutter/files/patch-tests_test-shellhooks_hooks_pre__gen__project.sh
  head/devel/py-cookiecutter/files/patch-tests_test__hooks.py
Comment 3 Matthew Seaman freebsd_committer 2020-12-28 10:21:10 UTC
Most of the dependency versions now match what upstream requires.  Still waiting on PR 250941 for the devel/py-requests port to be updated to >2.23.0, but in the mean time do the best we can by requiring at least 2.22.0

After removing some gratuitous and entirely unnecessary use of '/bin/bash' -- the test scripts are along the lines of 'touch foo ; echo bar' -- we now have 100% of the tests passing.

I'll leave this PR open until I can sort out the py-requests dependency version properly.
Comment 4 Charlie Li freebsd_committer 2020-12-28 10:55:28 UTC
koobs@ has commandeered the rest of the devel/py-requests stuff after some hints to progress forward. We've at least got their test suite under control so it's now onto consumers.

This port only requires at least 2.23.0 as stated in setup.cfg, but for the sake of other consumers in the tree in addition to shutting up portscout, that port's PR is for 2.25.1.
Comment 5 commit-hook freebsd_committer 2021-05-22 20:53:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c4f9aff50af6e368137c3c81300d58e0892b078b

commit c4f9aff50af6e368137c3c81300d58e0892b078b
Author:     Matthew Seaman <matthew@FreeBSD.org>
AuthorDate: 2021-05-22 20:48:04 +0000
Commit:     Matthew Seaman <matthew@FreeBSD.org>
CommitDate: 2021-05-22 20:52:24 +0000

    devel/py-cookiecutter: Amend py-requests dependency version

    With 7d02ece23c1a68 updating www/py-requests to the current version,
    we can correctly match the version requirements from upstream.

    PR:     252180
    Reported by:    vishwin

 devel/py-cookiecutter/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 6 Matthew Seaman freebsd_committer 2021-05-22 20:53:28 UTC
Committed, thanks!